Subject: Re: Fwd: Re: [PATCH] iSCSI fix endieness of digest to be network byte order

From: Vlad Yasevich <[email-masked]>
Date: Thu, 08 Nov 2007 10:47:44 -0500

Herbert Xu wrote:
> On Thu, Nov 08, 2007 at 05:04:09PM +0900, FUJITA Tomonori wrote:
>> I wonder why crc32c isn't used directly while crc32 is used directly
>> since they vary by only the polynomial.
> 
> It's because iSCSI uses it with scatterlists.  The crypto layer
> provides a nice interface for that while using it directly would
> require the user to do the scatterlist walk.
> 
>> Using crc32c directly might enable us to kill net/sctp/crc32c.c and
>> merge lib/crc32.c and lib/libcrc32c?
> 
> I'm pretty sure we can kill net/sctp/crc32c.c today by converting
> it over to use the crypto interface.

Funny, I looked for crc32c in the lib just the other week and didn't spot
it.  Need to look harder :)

-vlad